AnsweredAssumed Answered

Getting errors with php

Question asked by vipin on May 17, 2007
Latest reply on May 24, 2007 by marcus
Hi,

I have a working alfresco server.As per the manual i have done the php library configuration,

1.downloaded the library
2.extracted it to say, /php
3.edited the /etc/php.ini
   included ,
   [alfresco]

   ; Alfresco server location

   alfresco.server=http://localhost:8080
4.updated php include path
  again in /etc/php.ini
  now it is
  include_path = ".:/php:/usr/share/pear"
5.I copied the examples folder to web servers directory

   now it should be available at         http://localhost/examples/common/login.php  right ?

  is this ok ?
  now i am getting the following error message ,

Strict Standards: Assigning the return value of new by reference is deprecated in /Alfresco/alfrescophp/alfresco-php-1.2.tar.gz_FILES/alfresco/webservice/WebServiceUtils.php on line 32
Strict Standards: var: Deprecated. Please use the public/private/protected modifiers in /usr/share/pear/SOAP/Client.php on line 102

This message is repeated for all line nos. !!
  Pls help


Thanks

Vipin

Outcomes